%define _name gnome-vfs
%define ver_major 2.4
%define localstatedir %_var/lib
%def_without static

Name: gnome-vfs2
Version: %ver_major.1
Release: alt2

Summary: The GNOME virtual file-system libraries
Group: System/Libraries
License: LGPL
Url: ftp://ftp.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%_name/%ver_major/%_name-%version.tar.bz2

%define glib_ver 2.2.3
%define libbonobo_ver 2.4.1
%define GConf_ver 2.4.0
%define ORBit_ver 2.8.2
%define libxml2_ver 2.5.6
%define gnome_mime_data_ver 2.4.0

PreReq: GConf2 >= %GConf_ver
Requires: gnome-mime-data >= %gnome_mime_data_ver

BuildPreReq: GConf2 >= %GConf_ver
BuildPreReq: libbonobo2-devel >= %libbonobo_ver
BuildPreReq: libGConf2-devel >= %GConf_ver
BuildPreReq: ORBit2-devel >= %ORBit_ver
BuildPreReq: libxml2-devel >= %libxml2_ver

# Automatically added by buildreq on Tue Sep 09 2003
BuildRequires: GConf2 ORBit2-devel bzlib-devel docbook-dtds docbook-style-xsl docbook-utils glib2-devel glibc-devel-static gnome-libs-devel gnome-mime-data gtk-doc libGConf2-devel libORBit2 libbonobo2-devel libcdparanoia-devel libfam-devel libpopt-devel libssl-devel libxml2-devel libxslt pkgconfig xml-common xsltproc zlib-devel

%description
GNOME VFS is the GNOME virtual file system. It is the foundation of the
Nautilus file manager. It provides a modular architecture and ships with
several modules that implement support for file systems, http, ftp and others.
It provides a URI-based API, a backend supporting asynchronous file operations,
a MIME type manipulation library and other features.

%package devel
Summary: Libraries and include files for developing GNOME VFS applications
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Requires: glib2-devel >= %glib_ver
Requires: libbonobo2-devel >= %libbonobo_ver
Requires: ORBit2-devel >= %ORBit_ver
Requires: libxml2-devel >= %libxml2_ver

%description devel
This package provides the necessary development libraries for writing
GNOME VFS modules and applications that use the GNOME VFS APIs.

%package devel-static
Summary: Static libraries for developing GNOME VFS applications
Group: Development/GNOME and GTK+
Requires: %name-devel = %version-%release

%description devel-static
This package provides the necessary static development libraries
for writing GNOME VFS modules and applications that use the GNOME VFS APIs.

%package utils
Summary: Commandline applications from %_name
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description utils
This package contains commandline applications from %_name package.

%define _devhelpdir %_datadir/devhelp
%define _gtk_docdir %_datadir/gtk-doc/html

%prep
%setup -q -n %_name-%version

%build
export ac_cv_prog_AWK=/bin/awk
%configure --disable-schemas-install \
	    --localstatedir=%localstatedir \
	    --enable-gtk-doc \
	    --enable-static

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# DevHelp stuff
#%__mkdir_p %buildroot%_devhelpdir/{specs,books}
#%__install -m644 doc/html/%_name.devhelp  %buildroot%_devhelpdir/specs/%_name-2.0.devhelp
#%__ln_s %_gtk_docdir/%_name-2.0 %buildroot%_devhelpdir/books/%_name-2.0


# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%__rm -f %buildroot%_libdir/bonobo/monikers/*.la
%__rm -f %buildroot%_libdir/gnome-vfs-2.0/modules/*.la
%if_without static
%__rm -f %buildroot%_libdir/*.a
%__rm -f %buildroot%_libdir/bonobo/monikers/*.a
%__rm -f %buildroot%_libdir/gnome-vfs-2.0/modules/*.a
%endif

%find_lang %_name-2.0
%define schemas system_http_proxy desktop_default_applications

%post
%gconf2_install %schemas
%post_ldconfig

%if 0
%preun
%gconf2_uninstall %schemas
%endif

%postun -p %postun_ldconfig

%files -f %_name-2.0.lang
%_libdir/*.so.*
%dir %_libdir/vfs
%_libdir/vfs/*
%dir %_libdir/gnome-vfs-2.0
%dir %_libdir/gnome-vfs-2.0/modules
%_libdir/gnome-vfs-2.0/modules/*.so
%_libdir/bonobo/monikers/*.so
%_libdir/bonobo/servers/*
%dir %_sysconfdir/gnome-vfs-2.0
%dir %_sysconfdir/gnome-vfs-2.0/modules
%dir %_sysconfdir/gnome-vfs-2.0/vfolders
%config %_sysconfdir/gnome-vfs-2.0/*/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog NEWS README

%files devel
%_includedir/*
%dir %_libdir/gnome-vfs-2.0/include
%_libdir/gnome-vfs-2.0/include/*
%_libdir/*.so
%_libdir/pkgconfig/*
%doc HACKING TODO
%doc %_gtk_docdir/*

%if_with static
%files devel-static
%_libdir/bonobo/monikers/*.a
%_libdir/gnome-vfs-2.0/modules/*.a
%_libdir/*.a
%endif

%files utils
%_bindir/*

%changelog
* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt2
- do not package .la files.
- do not build devel-static subpackage by default.

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Wed Sep 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.90-alt1
- 2.3.90

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.8-alt1
- 2.3.8

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.7-alt1
- 2.3.7

* Tue Jun 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.5-alt1
- 2.3.5

* Tue Jun 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt1
- 2.3.4

* Wed Jun 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3

* Tue May 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2
- utils package.

* Mon May 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Mon Mar 31 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.4-alt1
- 2.2.4

* Thu Mar 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.3-alt1
- 2.2.3

* Wed Feb 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.2-alt1
- 2.2.2

* Mon Feb 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Jan 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.91-alt1
- 2.1.91

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.6-alt1
- 2.1.6

* Mon Dec 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Mon Dec 09 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Thu Nov 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3.1-alt1
- 2.1.3.1

* Wed Nov 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt2
- Removed dependence on mawk.

* Sat Nov 02 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Sun Sep 15 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.4-alt1
- 2.0.4
- some fixes.

* Wed Jun 12 2002 Igor Androsov <blake@altlinux.ru> 2.0.0-alt1
- New version
- Added gconf/schemas/*

* Fri Jun 07 2002 Igor Androsov <blake@altlinux.ru> 1.9.17-alt1
- New Version
- Fix Group (Thanks Yuri Sedunov)

* Tue Jun 04 2002 Igor Androsov <blake@altlinux.ru> 1.9.15-alt2
- Moved *.la from static to devel package

* Tue Jun 04 2002 Igor Androsov <blake@altlinux.ru> 1.9.15-alt1
- Initial build for AltLinux

* Thu May 16 2002 Igor Androsov <blace@mail.ru> 1.9.15-blk0.3
- added to static package .la

* Tue May 14 2002 Igor Androsov <blace@mail.ru> 1.9.15-blk0.2
- Sincing with CVS
- Minor Changes .spec

* Thu May 09 2002 Igor Androsov <blace@mail.ru> 1.9.15-blk0.1
- New version from CVS

* Thu May 09 2002 Igor Androsov <blace@mail.ru> 1.9.14-blk0.1
- New sources from CVS
- Changes for AltLinux
- Static libraries moved to -devel-static

* Sun Dec 15 2001 Ross Golder <ross@golder.org>
- fixed broken Name:

* Sun Oct 21 2001 Gregory Leblanc <gleblanc@linuxweasel.com>
- some messing around with Requires: and BuildRequires
- cleaned up %files quite a bit (still not quite as good as it could be)
- removed a bunch of unnecessary %defines
